Skip to content

Get Employees V2

Operation
wsdlGetEmployeesV2
SOAP Action
uri:FlexForce/wsdlGetEmployeesV2
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return employee information. All request parameters must appear in the request in order (apiKey, sectionId, employeeId, badgeNo, lastModified, includeNeoRoles); empty values are allowed but the elements themselves must be present.

NOTE : This call is of a NON complex type so all request parameters needs to be in the request (they can be empty, but they need to be present in the correct order as below apiKey, sectionId, employeeId, badgeNo, lastModified, includeNeoRoles


Request

Message: wsdlGetEmployeesV2Request

apiKeystringrequired

API key of the unit.

sectionIdint

Filter to a single section. Set to 0 (or send empty) to skip this filter.

employeeIdint

Filter to a single employee by Quinyx id. Set to 0 (or send empty) to skip this filter.

badgeNostring

Filter to a single employee by badge number. Empty string to skip this filter.

lastModifiedstring

Pass an empty string ("") to ignore this filter, or a date to return only employees modified after that date.

FormatYYYY-MM-DD hh:mm:ss
includeNeoRolesboolean

Set to true only when the customer is using Neo. When true the response includes Neo roles in each employee's groupRoles.

Values
0false
1true
Defaultfalse
neoRolesIdsArray<xsd:int>

Requires includeNeoRoles = true. Filter to employees who have at least one of these Neo role ids.

itemint
neoExtRolesIdsArray<xsd:string>

Requires includeNeoRoles = true. Filter to employees who have at least one of these external Neo role ids.

itemstring
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/wsdlGetEmployeesV2"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetEmployeesV2>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <sectionId xsi:type="xsd:int">0</sectionId>
    <employeeId xsi:type="xsd:int">0</employeeId>
    <badgeNo xsi:type="xsd:string">string</badgeNo>
    <lastModified xsi:type="xsd:string">string</lastModified>
    <includeNeoRoles xsi:type="xsd:boolean">true</includeNeoRoles>
    <neoRolesIds xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:int[1]">
      <item xsi:type="xsd:int">0</item>
    </neoRolesIds>
    <neoExtRolesIds xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
      <item xsi:type="xsd:string">string</item>
    </neoExtRolesIds>
    </tns:wsdlGetEmployeesV2>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetEmployeesV2Response

returnArray<Employee>

Array of Employee records (the Employee type covers both V1 and V2 responses).

itemEmployee

An employee record returned by wsdlGetEmployees (and the basis for the response of wsdlGetEmployeesV2).

idintrequired

Primary key.

Example56781
badgeNostringrequired

Badge number of the employee.

givenNamestringrequired

First name.

familyNamestringrequired

Last name.

address1stringrequired

Address line 1.

address2stringrequired

Address line 2.

zipstringrequired

Zip / postal code.

citystringrequired

City.

cellPhonestringrequired

Mobile phone number.

phoneNostringrequired

Phone number.

emailstringrequired

Email address.

activeintrequired
Values
1Ongoing employment
0Employment has an end date (leaveDate). The employee is still active until leaveDate is reached.
leaveDatedaterequired

Only meaningful when active = 0.

FormatYYYY-MM-DD
lastDayOfEmploymentdate

Last working day. Only set when active = 0.

FormatYYYY-MM-DD
socsecNostringrequired

Social Security Number.

countrystringrequired

Country.

restIdintrequired

Unit primary key.

staffCatintrequired

Staff category primary key.

extStaffCategorystring

External staff category id.

staffCatNamestringrequired

Display name of the staff category.

sectionintrequired

Section / department primary key.

sectionNamestringrequired

Display name of the section.

passiveintrequired
Values
0Active
1Passive
lockStatusint
Values
0Not locked
1Manual lock
2Locked by system
isLockedMsgstring
infostringrequired

Additional information about the employee.

dateOfBirthdaterequired
FormatYYYY-MM-DD
employedDatedaterequired
FormatYYYY-MM-DD
industryDatedate
FormatYYYY-MM-DD
cardNostringrequired

Time & Attendance card number.

passwordTandAstringrequired

MD5-hashed password used for third-party T&A applications.

nextOfKindstringrequired

Name of next of kin.

nextPhonestringrequired

Phone number of next of kin.

roleintrequired

Legacy role id — no longer used. Role is now derived from the staff category.

Values
1Staff
2Local Manager
3District Manager
4Manager
5Monitor
6Department Manager
7Assistant Manager
rankint

Rank of the employee.

autoManintrequired

Auto-manager flag. Returned by wsdlGetEmployeesV2 (added in version 380).

costCentreintrequired

Internal id of the cost centre.

costCentreExtCodestringrequired

External id of the cost centre. Empty string when not set.

punchTypeintrequired

Punch type controlling how the employee registers time punches.

Values
0Punch in/out and breaks
1Punch in/out but no breaks
2Deviation reporting
3Punch without schedule
sexintrequired
Values
0Male
1Female
myDistrictintrequired

District id for district managers.

reportingTostringrequired

Badge number of the employee's manager.

hasBankIdint

1 when the employee has BankID, 0 otherwise.

Values
0false
1true
legalGuardianNamestring

Full name of the employee's legal guardian (if any).

legalGuardianEmailstring

Email address of the employee's legal guardian (if any).

additionalFieldsArray<AdditionalFieldData>
groupRolesArray<GroupsRoles>

Always empty in the V1 response; populated by wsdlGetEmployeesV2 when includeNeoRoles = true.

tsdateTimerequired

Timestamp of the last update, ISO 8601.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetEmployeesV2Response>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Employee[1]">
      <item xsi:type="tns:Employee">
        <id xsi:type="xsd:int">56781</id>
        <badgeNo xsi:type="xsd:string">string</badgeNo>
        <givenName xsi:type="xsd:string">string</givenName>
        <familyName xsi:type="xsd:string">string</familyName>
        <address1 xsi:type="xsd:string">string</address1>
        <address2 xsi:type="xsd:string">string</address2>
        <zip xsi:type="xsd:string">string</zip>
        <city xsi:type="xsd:string">string</city>
        <cellPhone xsi:type="xsd:string">string</cellPhone>
        <phoneNo xsi:type="xsd:string">string</phoneNo>
        <email xsi:type="xsd:string">string</email>
        <active xsi:type="xsd:int">0</active>
        <leaveDate xsi:type="xsd:date">2024-01-01</leaveDate>
        <lastDayOfEmployment xsi:type="xsd:date">2024-01-01</lastDayOfEmployment>
        <socsecNo xsi:type="xsd:string">string</socsecNo>
        <country xsi:type="xsd:string">string</country>
        <restId xsi:type="xsd:int">0</restId>
        <staffCat xsi:type="xsd:int">0</staffCat>
        <extStaffCategory xsi:type="xsd:string">string</extStaffCategory>
        <staffCatName xsi:type="xsd:string">string</staffCatName>
        <section xsi:type="xsd:int">0</section>
        <sectionName xsi:type="xsd:string">string</sectionName>
        <passive xsi:type="xsd:int">0</passive>
        <lockStatus xsi:type="xsd:int">0</lockStatus>
        <isLockedMsg xsi:type="xsd:string">string</isLockedMsg>
        <info xsi:type="xsd:string">string</info>
        <dateOfBirth xsi:type="xsd:date">2024-01-01</dateOfBirth>
        <employedDate xsi:type="xsd:date">2024-01-01</employedDate>
        <industryDate xsi:type="xsd:date">2024-01-01</industryDate>
        <cardNo xsi:type="xsd:string">string</cardNo>
        <passwordTandA xsi:type="xsd:string">string</passwordTandA>
        <nextOfKind xsi:type="xsd:string">string</nextOfKind>
        <nextPhone xsi:type="xsd:string">string</nextPhone>
        <role xsi:type="xsd:int">0</role>
        <rank xsi:type="xsd:int">0</rank>
        <autoMan xsi:type="xsd:int">0</autoMan>
        <costCentre xsi:type="xsd:int">0</costCentre>
        <costCentreExtCode xsi:type="xsd:string">string</costCentreExtCode>
        <punchType xsi:type="xsd:int">0</punchType>
        <sex xsi:type="xsd:int">0</sex>
        <myDistrict xsi:type="xsd:int">0</myDistrict>
        <reportingTo xsi:type="xsd:string">string</reportingTo>
        <hasBankId xsi:type="xsd:int">0</hasBankId>
        <legalGuardianName xsi:type="xsd:string">string</legalGuardianName>
        <legalGuardianEmail xsi:type="xsd:string">string</legalGuardianEmail>
        <additionalFields xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:AdditionalFieldData[1]">
          <item xsi:type="tns:AdditionalFieldData">
            <key xsi:type="xsd:string">string</key>
            <value xsi:type="xsd:string">string</value>
          </item>
        </additionalFields>
        <groupRoles xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:GroupsRoles[1]">
          <item xsi:type="tns:GroupsRoles">
            <groupId xsi:type="xsd:int">0</groupId>
            <groupName xsi:type="xsd:string">string</groupName>
            <extGroupId xsi:type="xsd:string">string</extGroupId>
            <roleId xsi:type="xsd:string">string</roleId>
            <extNeoRoleId xsi:type="xsd:string">string</extNeoRoleId>
            <roleName xsi:type="xsd:string">string</roleName>
            <startDate xsi:type="xsd:date">2024-01-01</startDate>
            <endDate xsi:type="xsd:date">2024-01-01</endDate>
          </item>
        </groupRoles>
        <ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
      </item>
    </return>
    </tns:wsdlGetEmployeesV2Response>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2017-01-23 Created new documentation based on old PDF API documentation and Template.
2017-01-23 Added additionalFields and hasBankId fields.
2018-10-31 Added isLocked field.
2018-11-08 Renamed isLocked to lockStatus
2019-03-05 added rank
2019-03-26 added extStaffCategory
2019-05-29 added lastDayOfEmployment
2019-11-06 Added industryDate
2020-02-05 Added GroupRoles
2020-02-14 Added includeNeoRoles request parameter
2020-07-10 Added autoMan
2020-07-29 Added neoRolesIds